//
//  XTCustomBackgroundColorView.m
//  TadsTerp
//
//  Created by Rune Berg on 26/03/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTCustomBackgroundColorView.h"


@implementation XTCustomBackgroundColorView

/*- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}*/

- (void)drawRect:(NSRect)dirtyRect
{
    [super drawRect:dirtyRect];
    
    if (self.backgroundColor != nil) {
		[self.backgroundColor set];
		NSRectFill([self bounds]);
	}
}

@end
